<?php 
	require_once("config/connect.php");
	require_once("global_functions.php");
	
	
	if(isset($argv[1]) && strlen($argv[1]) > 3)$importFile=$argv[1];
	if (file_exists($importFile) && strtolower(pathinfo($importFile, PATHINFO_EXTENSION)) == 'csv') {
		echo "File ". basename($importFile). " gefunden.\nDaten werden ausgelesen.\n";
		$option=false;
		if(isset($argv[2]) && strlen($argv[2]) > 3){
			if(strtolower($argv[2]) == 'reference')echo "Option, ".$argv[2]." erkannt, Daten werden nach Reference abgeglichen\n";
			else{
				echo "Option, ".$argv[2]." kann nicht zugeordnet werden.  Daten werden nach Produkt Name, Code, Reference abgeglichen.\n";
			}
			
			$option=$argv[2];
		}
		else echo "Option nicht gesetzt, Daten werden nach Produkt Name, Code, Reference abgeglichen.\n";
		
		$runImport=importFromCsv($importFile, 'productsImport', ';', $option);
		$patX=array('/ä/', '/Ä/', '/ö/', '/Ö/', '/ü/', '/Ü/', '/ß/', '/<br \/>/', '/Execution time:/');
		$repX=array('ae', 'Ae', 'oe', 'Oe', 'ue', 'Ue', 'ss', ' ', 'Laufzeit:');
		echo preg_replace($patX, $repX, $runImport);
		
	}
	
	else{
		echo "Import File konnte nicht gefunden werden, oder Dateitype falsch.\nDaten Import abgebrochen.";
		return false;
	}
	
	#	Aufruf (Testsystem):
	#	C:\xampp\php>php.exe -f C:\xampp\htdocs\sITpos_Arbeitsversion_1.6.1\cmd_import.php C:\sitpos\_testImportShort.csv
	#	E:\Programme\xampp\php>php.exe -f E:\Programme\xampp\htdocs\sITpos\cmd_import.php E:\XML_Schnittstelle\data\_testImportShort.csv
	
	############################################################
	#	E:\Programme\xampp\php>php.exe -f E:\Programme\xampp\htdocs\sITpos\cmd_import.php E:\XML_Schnittstelle\data\_testImportShort.csv
	#	File _testImportShort.csv gefunden.
	#	Daten werden ausgelesen.
	#	0 Produkt Datensaetze updated, 4 Produkt Datensaetze eingefuegt. Laufzeit: 0
	#	E:\Programme\xampp\php>
	##########################################################

	
?>